public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-jsmath/
Date: Mon, 29 May 2023 21:55:30 +0000 (UTC)	[thread overview]
Message-ID: <1685397301.3244fceeb1503d40d3a39ad02077d35834d1a9bd.sam@gentoo> (raw)

commit:     3244fceeb1503d40d3a39ad02077d35834d1a9bd
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon May 29 19:40:02 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May 29 21:55:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3244fcee

dev-python/sphinxcontrib-jsmath: enable py3.12

This also fixes failing test.

Closes: https://bugs.gentoo.org/858812
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../sphinxcontrib-jsmath-1.0.1-r3.ebuild           | 48 ++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/dev-python/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1-r3.ebuild b/dev-python/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1-r3.ebuild
new file mode 100644
index 000000000000..a153b591a758
--- /dev/null
+++ b/dev-python/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1-r3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension which renders display math in HTML via JavaScript"
+HOMEPAGE="
+	https://www.sphinx-doc.org/
+	https://github.com/sphinx-doc/sphinxcontrib-jsmath/
+	https://pypi.org/project/sphinxcontrib-jsmath/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+	>=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? ( ${PDEPEND} )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# This is already fixed in upstream, remove it on next version bump,
+	# see https://github.com/sphinx-doc/sphinxcontrib-jsmath/pull/10
+	sed -i 's/.text()/.read_text()/' tests/test_jsmath.py || die
+	distutils-r1_src_prepare
+}
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	distutils_write_namespace sphinxcontrib
+	cd "${T}" || die
+	epytest "${S}"/tests
+}


             reply	other threads:[~2023-05-29 21:55 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-29 21:55 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-25  9:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-jsmath/ Michał Górny
2023-07-10  1:48 Michał Górny
2023-07-09 16:51 Arthur Zamarin
2023-03-17 15:25 Michał Górny
2022-05-14 12:44 Arthur Zamarin
2022-04-26 18:55 Michał Górny
2022-04-26 17:29 Arthur Zamarin
2022-04-26 17:01 Michał Górny
2022-04-26 16:57 Arthur Zamarin
2022-04-20 12:18 Michał Górny
2021-06-04 12:00 Michał Górny
2021-01-06 22:30 Fabian Groffen
2020-12-04 12:38 Michał Górny
2020-12-03 17:31 Michał Górny
2020-08-24 15:11 Michał Górny
2020-05-31 17:17 Michał Górny
2020-05-11 15:32 Mart Raudsepp
2020-05-08  9:36 Sergei Trofimovich
2020-05-06 17:34 Sergei Trofimovich
2020-05-06 14:25 Mikle Kolyada
2020-05-06  7:01 Sergei Trofimovich
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 10:30 Agostino Sarubbo
2020-05-03 10:12 Agostino Sarubbo
2020-04-05 21:53 Sergei Trofimovich
2020-03-02 15:16 Michał Górny
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:31 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:04 Agostino Sarubbo
2020-02-23 12:10 Mikle Kolyada
2020-01-26 21:25 Matthew Thode
2019-12-19 21:40 Piotr Karbowski
2019-03-31 13:05 Virgil Dupras

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1685397301.3244fceeb1503d40d3a39ad02077d35834d1a9bd.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox